/*
 * $Id: Argument.java,v 1.1 2005/02/28 13:27:52 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.common.cli;

import org.logical_paradox.common.util.StringUtils;

/**
 * コマンドライン引数
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class Argument {
	/** 引数名 */
	private final String name_;
	/** 引数値 */
	private final String value_;

	/**
	 * コンストラクタ
	 * @param name 引数名
	 * @param value 引数値
	 */
	public Argument(String name, String value) {
		name_ = name;
		value_ = value;
	}
	/**
	 * この引数がオプションかどうかを判定する
	 * @return true:オプション / false:オプション以外
	 */
	public boolean isOption() {
		return StringUtils.isEmpty(name_) == false;
	}
	/**
	 * 引数名を返す
	 * @return 引数名
	 */
	public String getName() {
		return name_;
	}
	/**
	 * 引数値を返す
	 * @return 引数値
	 */
	public String getValue() {
		return value_;
	}
}
